--- old/usr/src/lib/pkcs11/pkcs11_softtoken/common/softMAC.c	Fri Jul  6 15:55:12 2018
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/common/softMAC.c	Fri Jul  6 15:55:12 2018
@@ -22,10 +22,9 @@
 /*
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <pthread.h>
 #include <sys/md5.h>
 #include <sys/sha1.h>
@@ -562,12 +561,10 @@
 	(void) pthread_mutex_lock(&session_p->session_mutex);
 
 	if (sign_op) {
-		bzero(session_p->sign.context, sizeof (soft_hmac_ctx_t));
-		free(session_p->sign.context);
+		freezero(session_p->sign.context, sizeof (soft_hmac_ctx_t));
 		session_p->sign.context = NULL;
 	} else {
-		bzero(session_p->verify.context, sizeof (soft_hmac_ctx_t));
-		free(session_p->verify.context);
+		freezero(session_p->verify.context, sizeof (soft_hmac_ctx_t));
 		session_p->verify.context = NULL;
 	}
 
